QGIS Application - Feature request #484
Get rid of HTML in messages for translation
2006-12-25 05:42 AM - maris-gis-gmail-com -

Status: Closed

Priority: Low

Assignee: Magnus Homann

Category: Translations and international

Pull Request or Patch supplied: Resolution: fixed
Easy fix?: No Copied to github as #: 10543
Description

Long HTML containing messages are hard to translate. l.e. [pluginname]GuiBase has string with ~14000 chars and most of them are just
HTML with style definition. It's a nightmare to translate it.

History

#1 - 2006-12-25 06:49 PM - Gary Sherman

The only place | could find this is in the plugin builder template .ui file. Are there others?

These strings are for developer use and don't need to be translated for general use.

#2 - 2006-12-25 07:51 PM - Gavin Macaulay -

Most (all?) of the plugins that have some explanatory text in their main dialog have this problem. If one sets the text in a QTextEdit using designer, it seems
to put lots of formatting stuff around the text. For an example, see
https://svn.qggis.org/trac/browser/trunk/qgis/src/plugins/gps_importer/qgsgpspluginguibase.ui

#3 - 2007-12-13 08:34 AM - Magnus Homann
- Status changed from Open to In Progress

Do the format have a point? It seems to me that it would be possible to remove much of the formatting, if not all???

#4 - 2007-12-16 02:22 PM - Magnus Homann

A proposed solution is implemented in commit:ece9d9b5 (SVN r7797). Please comment.

#5 - 2008-07-26 03:47 PM - Tim Sutton

- Status changed from In Progress to Closed

- Resolution set to fixed

Closed as old. Solution has been proposed, no feedback given.

Regards

Tim
https://svn.qgis.org/trac/browser/trunk/qgis/src/plugins/gps_importer/qgsgpspluginguibase.ui

#6 - 2009-08-22 12:57 AM - Anonymous

Milestone Version 1.0.0 deleted
